com.verisign.epp.codec.registry

## Class EPPRegistryMaxPeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.EPPRegistryMaxPeriodType

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryMaxPeriodType
      extends EPPRegistryPeriodType

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME`

    - ### Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryMaxPeriodType()`
    `EPPRegistryMaxPeriodType(java.lang.Integer n, java.lang.String unit)`
    `EPPRegistryMaxPeriodType(int number, java.lang.String unit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object aObject)`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `clone, decode, encode, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryMaxPeriodType

          public EPPRegistryMaxPeriodType()

    - #### EPPRegistryMaxPeriodType

          public EPPRegistryMaxPeriodType(java.lang.Integer n,
                                          java.lang.String unit)

    - #### EPPRegistryMaxPeriodType

          public EPPRegistryMaxPeriodType(int number,
                                          java.lang.String unit)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `EPPRegistryPeriodType`

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.